/*
    Introduction to OOP with Java (5th Ed), McGraw-Hill

    Wu/Otani

    File: AccountVer3.java

*/

//This version includes the FEE class constant and the modified
//deduct method

class AccountVer3 {

    // Data Members   
    private static final double FEE = 0.50; //50 cents charge
    
    private String ownerName;
    
    private double balance;
    
    //Constructor
    public AccountVer3(String name, double startingBalance ) {

        ownerName = name;
        balance = startingBalance;
    }
    
    //Adds the passed amount to the balance
    public void add(double amt) {
        balance = balance + amt;
    }
    
    //Deducts the passed amount from the balance
    public void deduct(double amt) {
        balance = balance - amt - FEE;
    }
    
    //Returns the current balance of this account
    public double getCurrentBalance( ) {
        return balance;
    }
    
    //Returns the name of this account's owner
    public String getOwnerName( ) {
        
        return ownerName;
    }
    
    //Assigns the name of this account's owner
    public void setOwnerName(String name) {
    
        ownerName = name;
    }    
 }